extends KinematicBody

export var gravity = Vector3.DOWN * 10
export var speed = 4
export var rot_speed = 0.85
export var jump = 100

var velocity = Vector3.ZERO



# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


func _physics_process(delta):
#   Entrées au clavier
	
	velocity = Vector3()
	
#	# Entrées I
#	if Input.is_action_pressed("ui_up"):
#		velocity.z -= speed * delta
#	if Input.is_action_pressed("ui_down"):
#		velocity.z += speed * delta
#	if Input.is_action_pressed("ui_right"):
#		velocity.x += speed * delta
#	if Input.is_action_pressed("ui_left"):
#		velocity.x -= speed * delta
	
	# Entrées II
	if Input.is_action_pressed("ui_up"):
		# transform.basis correspond aux coordonnées propres de l'objet
		velocity += -transform.basis.z * speed * delta
	if Input.is_action_pressed("ui_down"):
		velocity += transform.basis.z * speed * delta
	if Input.is_action_pressed("ui_right"):
		rotate_y(-rot_speed * delta)
	if Input.is_action_pressed("ui_left"):
		rotate_y(rot_speed * delta)
		
	# saut
	if Input.is_action_pressed("saut"):
		velocity.y += jump * delta
		
	velocity += gravity * delta

	velocity = move_and_slide(velocity, Vector3.UP)
